Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: martin rudalics <[email-masked]>
Date: Mon, 05 Jan 2015 08:08:49 +0100

> In all likelihood, we've displayed several buffers in succession in that other window. Or none. Doing `quit-window' there exactly once won't suffice.

It should, conceptually.

 > So I guess this amounts to keeping a buffer-window history of everything that was opened from *xrefs*, and on `q', iterate through that list and, if the given window displays the given buffer, `quit-buffer' on it. Then clear the history and quit *xrefs*.

We have two windows we want to quit simultaneously.  Any of them could
have been made specially for xrefing or have displayed some other buffer
before.  In the former case the window would have to be deleted in the
latter made to show the buffer it showed before xrefing.

The entire information what to do should be in the `quit-restore'
parameter of any of these windows.  If what I described above doesn't
work out automatically you might have to adjust the `quit-restore'
parameter manually.  But it should work automatically.

 > I kinda like that.

You shouldn't.

martin